This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 677658 - whine doesn't allow to control fields in saved search
whine doesn't allow to control fields in saved search
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Whining (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-15 09:06 EST by Itamar Heim
Modified: 2013-06-23 21:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-20 17:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Itamar Heim 2011-02-15 09:06:14 EST
Description of problem:
saved searches allow to customize the columns in them.
but whine always send the same columns.

specifically, if a user is missing the display name, the column is blank, rather than showing the user's email.

workaround could be to change columns to show the email, if whine used the columns in the saved search.

using the saved searches columns is for more than just a workaround though of course.
Comment 1 Jeff Fearn 2012-05-30 00:44:08 EDT
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 2 Jeff Fearn 2012-05-30 00:44:35 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 3 Itamar Heim 2012-05-30 01:04:12 EDT
still an issue I'd like to be fixed.
Comment 4 Simon Green 2012-10-10 22:27:22 EDT
(In reply to comment #0)
> specifically, if a user is missing the display name, the column is blank,
> rather than showing the user's email.

I'm sorry, but I don't understand what you are saying here. Can you please give an example, or steps to reproduce the problem.

  -- simon
Comment 5 Itamar Heim 2012-10-11 03:07:17 EDT
(In reply to comment #4)
...
> I'm sorry, but I don't understand what you are saying here. Can you please
> give an example, or steps to reproduce the problem.
> 
>   -- simon

whine used to fill the display name of the user ("Simon Green") in the Assignee field of the whine. Some users didn't have that field. in bugzilla, the email was shown for assignees without a display name. in whine, blank was shown.
seems that whine now always just sends the email for assignee field, and not sending the display name at all.
in a way, this does solve this part of the problem...

but the main request is to have whine send the list of fields which are defined for the saved search, rather than the same constant set of fields.
Comment 6 Simon Green 2012-10-20 17:38:50 EDT
Will be fixed in Bugzilla 4.4 (from upstream)

Note You need to log in before you can comment on or make changes to this bug.